%global realname erlsha2
%global upstream vinoski
%global git_tag 51b8c5e
%global patchnumber 0


Name:		erlang-%{realname}
Version:	2.0
Release:	0.1.20120330git%{git_tag}%{?dist}
Summary:	SHA-224, SHA-256, SHA-384, SHA-512 implemented in Erlang NIFs
Group:		Development/Languages
License:	BSD
URL:		https://github.com/vinoski/erlsha2
# wget --no-check-certificate --content-disposition https://github.com/vinoski/erlsha2/tarball/51b8c5e
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
Patch1:		erlang-erlsha2-0001-Initial-autotools-support.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-erl_interface
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	erlang-crypto
# Error:erlang(binary:copy/2) in R13B and below
# Error:erlang(erlang:load_nif/2) in R12B and below
Requires:	erlang-erts >= R14B
Requires:	erlang-kernel
Requires:	erlang-stdlib


%description
SHA-224, SHA-256, SHA-384, SHA-512 implemented in Erlang NIFs.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
%patch1 -p1
mkdir ./priv/

%build
autoreconf -ivf
%configure --disable-static --with-pic
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%check
make check


%files
%doc AUTHORS LICENSE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/hmac.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nif.so


%changelog
* Mon May 21 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.0-0.1.20120330git51b8c5e
- Initial package
